#!/bin/sh

usage() {
    echo "Usage $0 [max_resolution [min_resolution]]" >&2
}

if [ "$#" -gt 4 ]
then
    usage
    exit 1
fi

if [ "$1" =  "-h" -o "$1" = "--help" ]
then
	usage
	exit 0
fi

maxres=${1:-100}
minres=${2:-2}
iter=${3:-10000}

if [ "$maxres" -le "$minres" ]
then
    usage
    exit 2
fi

for resolution in $(seq $minres $maxres)
do
    ./sadrand -R -r $resolution -i $iter
    echo ''
done | tee /tmp/rnd3d.dat

./plot3d.gp
